<template>
  <section class="cases" id="cases">
    <Case
      v-for="work in cases"
      :key="work.id"
      :class="work.name.toLowerCase()"
      :id="work.id"
      :title="work.title"
      :descriptionHTML="work.descriptionHTML"
      :images="work.images"
      :routeName="work.routeName"
    />
  </section>
</template>

<script>
import Case from './Case'
import { v4 as uuidv4 } from 'uuid'

export default {
  name: 'Cases',
  setup() {
    const cases = [
      {
        id: uuidv4(),
        name: 'green-marathon',
        routeName: 'green-marathon',
        title: 'Зелёный Марафон',
        descriptionHTML: 'подготовка к марафону<br> и не только',
        images: [
          '/images/cases/green-marathon/web-desktop/timer.png',
          '/images/cases/green-marathon/web-desktop/main.png',
          '/images/cases/green-marathon/web-desktop/registration.png',
          '/images/cases/green-marathon/web-desktop/app.png',
          '/images/cases/green-marathon/web-desktop/ecology.png',
          '/images/cases/green-marathon/web-desktop/404.png'
        ]
      },
      {
        id: uuidv4(),
        name: 'hennessy',
        routeName: 'hennessy',
        title: 'Hennessy',
        descriptionHTML:
          'интерактивный<br>онлайн ивент<br/>к 150-летию легенды',
        images: [
          '/images/cases/hennessy/web-desktop/registration.png',
          '/images/cases/hennessy/web-desktop/main.png',
          '/images/cases/hennessy/web-desktop/registration.png',
          '/images/cases/hennessy/web-desktop/movie.png',
          '/images/cases/hennessy/web-desktop/music.png',
          '/images/cases/hennessy/web-desktop/404.png'
        ]
      },
      {
        id: uuidv4(),
        name: 'volga-dnepr',
        routeName: 'volga-dnepr',
        title: 'Волга-Днепр',
        descriptionHTML: 'онлайн ивент<br/>к 30-летию компании',
        images: [
          '/images/cases/volga-dnepr/web-desktop/beauty-blog.png',
          '/images/cases/volga-dnepr/web-desktop/main.png',
          '/images/cases/volga-dnepr/web-desktop/alcove.png',
          '/images/cases/volga-dnepr/web-desktop/main-broadcast.png',
          '/images/cases/volga-dnepr/web-desktop/room.png',
          '/images/cases/volga-dnepr/web-desktop/photozone.png'
        ]
      }
    ]

    return { cases }
  },
  components: {
    Case
  }
}
</script>
